import java.awt.AWTException;
import java.awt.HeadlessException;
import java.awt.Robot;
import java.awt.Toolkit;
import java.awt.datatransfer.Clipboard;
import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.StringSelection;
import java.awt.datatransfer.UnsupportedFlavorException;
import java.awt.event.KeyEvent;
import java.io.IOException;
/**
 * Esta clase maneja la interaccion con el portapepeles de el sistema.
 * @author mario marin
 * @author felipe silva
 */
public class SystemClipboard
{
	/**
	 * Copia el texto seleccionado a el portapapeles.
	 * @param text Texto seleccionado.
	 */
	 public static void copy(StringSelection text)
	    {
	        Clipboard clipboard = getSystemClipboard();

	        clipboard.setContents(text, null);
	    }
	 
	 /**
	  * Pega el contenido de el portapapeles.
	  * @throws AWTException Lanza exepcion.
	  */
    public static void paste() throws AWTException
    {
        Robot robot = new Robot();

        robot.keyPress(KeyEvent.VK_CONTROL);
        robot.keyPress(KeyEvent.VK_V);
        robot.keyRelease(KeyEvent.VK_CONTROL);
        robot.keyRelease(KeyEvent.VK_V);
    }
/**
 * Optiene el contenido de el portapapeles.
 * @return el contenido de el portapapeles
 * @throws HeadlessException Lanza exepcion.
 * @throws UnsupportedFlavorException Lanza exepcion.
 * @throws IOException Lanza exepcion.
 */
    public static String get() throws HeadlessException,
            UnsupportedFlavorException, IOException
    {
        Clipboard systemClipboard = getSystemClipboard();
        Object text = systemClipboard.getData(DataFlavor.stringFlavor);

        return (String) text;
    }
    /**
     * Obtiene el portapaples de el sistema.
     * @return el portapapeles de el sistema.
     */

    private static Clipboard getSystemClipboard()
    {
        Toolkit defaultToolkit = Toolkit.getDefaultToolkit();
        Clipboard systemClipboard = defaultToolkit.getSystemClipboard();

        return systemClipboard;
    }
}